• Blogging
  • Freebies
  • Freeware
  • How-To
  • Make Money Online
  • Mobile
  • Home >> Browsers >> How to make Firefox Old Addons compatible with Firefox 3.5 or higher

    How to make Firefox Old Addons compatible with Firefox 3.5 or higher

    I think more than 50% of the world wide Firefox users might have updated to Firefox 3.5.

    Immediately after upgrading to Firefox 3.5, Most of us might have see some of the Addons that we were using might not be compatible with Firefox 3.5.

    What if you got accustomed to some addons which you want to use at any cost with Firefox 3.5? This is trick will help you to Make Firefox Addons compatible with Firefox 3.5 or higher. Once you apply this you don’t have to worry much about Mozilla’s updating of Firefox to the latest version fixing all the memory leaks, vulnerabilities and other security loopholes.

    How to make Addons compatible to Firefox 3.5 or higher?

    The solution is to add some configurations in Firefox settings (which is similar to Windows Registry). All the changes you make from here on are done at your own risk. Do revert the settings if something goes wrong.

    1. Type about:config address bar of Firefox browser and hit enter. It will give you a warning. Just click the button “I’ll be careful, I promise!” and proceed…
      Make Addons Compatible to Firefox 3.5
    2. It will show a huge list of values. Now, right click any where in the free white-space on the screen and click on New –> Boolean, then name the Boolean as checkCompatibility – make it false in the next step.
    3. again right click and click on New -> Boolean and name as checkUpdateSecurity and choose false.
    4. After doing this changes to get the changes applied, Restart the Firefox browser. Now install the addon that was not supported or compatible by Firefox 3.5 and install it.
    5. Restart the Firefox browser once again. Now, the not compatible addon will work with Firefox 3.4 🙂

    Hope you liked this trick.

    IMPORTANT: This blog welcomes Guest Bloggers, Writers to also contribute by writing Guest Posts and also Make Money!. Check out our Revenue Sharing Program
    1924 readers are already subscribed to this blog! Why don't you be one of them? Subscribe to this blog via your favorite RSS feed reader or by entering your email address on the form below:


    1. Atul says:

      useful for many
      .-= Atul´s last blog ..Happy Birthday Katrina Kaif =-.

    2. Paul says:

      I would recommend being careful with this — some extensions might actually not work with newer versions of Firefox, so be prepared to solve any problems that may come up.
      .-= Paul´s last blog ..3 reasons why college rankings lists are a load of crap =-.

    3. Custom Essay says:

      I did it by making a copy of addons folder at separate location in my hard disk, installing updated firfox and then copy past the older addons folder on the new one. it worked.
      .-= Custom Essay´s last blog ..Un astudentessa racconta la propria preparazione agli esami universitari a Bari =-.

    4. Firefox 3.5 is a good one to upgrade with its cool features added. i read about many added features and am sure they are very helpful ones. i like Firefox for such cool upgrades
      .-= Term Paper Writing´s last blog ..Un astudentessa racconta la propria preparazione agli esami universitari a Bari =-.

    5. Eloar says:

      There is one other way to do it. You can change maxVersion parametr of extension.

    6. Vinayak says:

      Whenever you gets the updates of Firefox (for only browser),most of the time there is chance of incompatibility of any of your favorite add-on.
      So here is simple and effective hack for this problem

    Leave a Reply

    page counter
    NiharsWorld on Twitter NiharsWorld on Facebook NiharsWorld RSS Feed